<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.community.huiju.dao.SysRoleMenuMapper">

    <insert id="insertList" useGeneratedKeys="true" keyProperty="id" parameterType="java.util.ArrayList">
        insert into tp_sys_role_menu(community_id,role_id,menu_id)
        VALUES
        <foreach collection="list" item="item" index="index" separator=",">
            (#{item.communityId},#{item.roleId},#{item.menuId})
        </foreach>
    </insert>
</mapper>
